package org.springblade.system.expand.feign;

import org.springblade.system.expand.entity.Conf;
import org.springblade.system.expand.vo.ConfVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ConfClientFallback implements IConfClient {
            /**
         * 详情
         */
        @Override
        public ConfVO detail(Conf conf) {
            return null;
        }

	@Override
	public String getValueByToken(String token) {
		return "";
	}

	/**
         * 查询 系统配置表
         */
        @Override
        public List<ConfVO> list(Conf conf) {
            return null;
        }



        /**
         * 新增 系统配置表
         */
        @Override
        public boolean save( Conf conf) {
            return false;
        }

        /**
         * 修改 系统配置表
         */
        @Override
        public boolean update( Conf conf) {
            return false;
        }

        /**
         * 新增或修改 系统配置表
         */
        @Override
        public boolean submit( Conf conf) {
            return false;
        }


        /**
         * 删除 系统配置表
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public String addPrefix(String oldPicPath) {
		return "";
	}

	@Override
	public String removePrefix(String oldPicPath) {
		return "";
	}

}
